## org.mortbay.jetty.handler.rewrite
Class VirtualHostRuleContainer

    java.lang.Object
      org.mortbay.jetty.handler.rewrite.Rule
          org.mortbay.jetty.handler.rewrite.RuleContainer
              org.mortbay.jetty.handler.rewrite.VirtualHostRuleContainer

    public class VirtualHostRuleContainer

extends RuleContainer

Groups rules that apply only to a specific virtual host or sets of virtual hosts

Author:
  Athena Yao

Field Summary

Fields inherited from class org.mortbay.jetty.handler.rewrite.RuleContainer
`_handled, _legacy, _originalPathAttribute, _rewritePathInfo, _rewriteRequestURI, _rules`

Fields inherited from class org.mortbay.jetty.handler.rewrite.Rule
`_handling, _terminating`

Constructor Summary
`VirtualHostRuleContainer()`

Method Summary
`void` `addVirtualHost(String virtualHost)`
`String[]` `getVirtualHosts()` Get the virtual hosts that the rules within this container will apply to
`String` `matchAndApply(String target, HttpServletRequest request, HttpServletResponse response)` Process the contained rules if the request is applicable to the virtual hosts of this rule
`void` `setVirtualHosts(String[] virtualHosts)` Set the virtual hosts that the rules within this container will apply to

Methods inherited from class org.mortbay.jetty.handler.rewrite.RuleContainer
`addRewriteRule, addRule, apply, getOriginalPathAttribute, getRewrite, getRules, isHandled, isRewritePathInfo, isRewriteRequestURI, setHandled, setLegacyRule, setOriginalPathAttribute, setRewrite, setRewritePathInfo, setRewriteRequestURI, setRules`

Methods inherited from class org.mortbay.jetty.handler.rewrite.Rule
`isHandling, isTerminating, setHandling, setTerminating, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VirtualHostRuleContainer

    public VirtualHostRuleContainer()

Method Detail

### setVirtualHosts

    public void setVirtualHosts(String[] virtualHosts)

  Set the virtual hosts that the rules within this container will apply to

  Parameters:
    `virtualHosts` - Array of virtual hosts that the rules within this container are applied to. A null hostname or null/empty array means any hostname is acceptable.

### getVirtualHosts

    public String[] getVirtualHosts()

  Get the virtual hosts that the rules within this container will apply to

  Parameters:
    `virtualHosts` - Array of virtual hosts that the rules within this container are applied to. A null hostname or null/empty array means any hostname is acceptable.

### addVirtualHost

    public void addVirtualHost(String virtualHost)

  Parameters:
    `virtualHost` - add a virtual host to the existing list of virtual hosts A null hostname means any hostname is acceptable

### matchAndApply

    public String matchAndApply(String target,
                                HttpServletRequest request,
                                HttpServletResponse response)
                         throws IOException

  Process the contained rules if the request is applicable to the virtual hosts of this rule

  Overrides:
    `matchAndApply` in class `RuleContainer`
  Parameters:
    `target` - target field to pass on to the contained rules
    `request` - request object to pass on to the contained rules
    `response` - response object to pass on to the contained rules
  Returns:
    The new target if the rule has matched, else null
  Throws:
    `IOException` - TODO

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.